API Reference
Log In
API Reference

Create Customer

Create a customer in core banking.

Authentication is mandatory.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📢 Considerations

  1. Biometric validations and blacklisting of KYC APIs must be performed before invoking this API: KYC Check.

  1. When the customer you are trying to create already exists, you will receive as response the value: existing_customer in true otherwise in false.

  2. The formats of the attributes of type date must have the format: yyyy-MM-dd.

  3. The minimum age (age of majority) to create a client through this API is 18 years old and the maximum age is 100 years old.

  4. Due to internal policies OpenBanking does not allow the creation of clients that are PEP (Publicly Exposed Persons), when the field "Is a PEP client" (is_pep) is set to true, the API will return a BadRequest and will not allow its creation.

  5. In order to create clients in LAFISE Bank of Panama (BLPA) with Nicaraguan nationality and who identify themselves with a passport, the following fields are required:

    • Work start date (work_start_date)
    • Code of the corregimiento where the job is located (work_geographic_location)
    • Personal reference (personal_reference)
    • Contact number of the personal reference submitted by the customer (telephone_number)
    • Work telephone number (work_phone_number)
    • Workplace address (work_address)
    • Customer's salary or monthly income (salary)
    • The customer's job position (position_in_company)
    • Employer or company where the customer works (employer)
  6. To create clients in Banco LAFISE de Costa Rica, you will be asked for authorization (consultationin_cicac) to access and use your information in the Know Your Customer Information Center (CICAC), in case the client denies such authorization, you must indicate one of the following reason codes (reason_decline_cicac) :

    • 1 for: Customer who does not have a digital signature and lives abroad.
    • 2 for: Customer who does not want their information to be in other databases.
    • 3 for: Others

    In case the customer selects the third option, he/she must detail his/her reason in a maximum of 100 characters (another_reason_cicac).

📖 Example Requests

Below you will find the body of five sample JSON requests:

  • Example 1: Create a customer in the Nicaragua Core.
  • Example 2: Create a customer in the Costa Rica Core.
  • Example 3: Create a customer in the Panamá Core.
  • Example 4: Create a customer in the Honduras Core.
  • Example 5: Create a customer in the República Dominicana Core (Profile regular).
  • Example 6: Create a customer in the República Dominicana Core (Profile simplified).
{
    "first_name": "Rosibeth",
    "middle_name" : "Abigail",
    "last_name": "Meza",
    "second_surname" : "Gutierrez",
    "identification_type": "4",
    "identification": "000-000000-000000",
    "mobile_phone_number": 88888888,
    "email": "[email protected]",
    "date_of_birth": "2001-03-10",
    "country_of_residence": "NIC",
    "home_address_line1": "Address 1",
    "home_address_line2": "Address 2",
    "home_address_line3": "Address 2",
    "geographic_location": "31-5",
    "person_type": "NAT",
    "sex": "M",
    "identification_expiration_date": "2020-01-25",
    "employer": "RESINTO ANGELES",
    "country_of_birth": "NIC",
    "nationality": "NIC",
    "work_phone_number": 22222222,
    "title": "00015",
    "marital_status" : "C",
    "salary" : 20000,
    "occupation" : "0SP88",
    "economic_activity" : "A09",
    "is_pep" : false,
    "is_pnp" : false,
    "second_nationality" : "USA",
    "economic_sector_code" : "PRV"
}
{
    "first_name": "Walter",
    "middle_name": "Rodolph",
    "last_name": "White",
    "second_surname": "Rivera",
    "identification_type": "2",
    "identification": "00000000X",
    "mobile_phone_number": 88888888,
    "email": "[email protected]",
    "date_of_birth": "1993-02-04",
    "country_of_residence": "COS",
    "home_address_line1": "Address 1",
    "home_address_line2": "Address 2",
    "home_address_line3": "Address 3",
    "geographic_location": "PSJ-SJS-001-009",
    "person_type": "NAT",
    "sex": "M",
    "identification_expiration_date": "2030-02-04",
    "employer": "Test company",
    "position_in_company": "Programmer",
    "salary": 1000,
    "work_start_date": "2019-04-15",
    "personal_reference": "",
    "telephone_number": 0,
    "work_address": "Test",
    "country_of_birth": "COS",
    "nationality": "COS",
    "work_phone_number": 0,
    "title": "PDC",
    "marital_status": "1",
    "occupation": "PDC",
    "economic_activity": "Q55",
    "is_pep": false,
    "consultation_in_cicac": false,
    "reason_decline_cicac": "3",
    "another_reason_cicac": "other reason",
    "funds_origin": "2"  
}
{
    "first_name": "Luisa",
    "last_name": "Lorent",
    "identification_type": "0010",
    "identification": "8-9999-99999",
    "mobile_phone_number": 88888888,
    "email": "[email protected]",
    "date_of_birth": "2020-08-18",
    "country_of_residence": "PAN",
    "home_address_line1": "Adderss 1",
    "home_address_line2": "Adderss 2",
    "home_address_line3": "PANAMA",
    "geographic_location": "0001-0101-0001",
    "person_type": "NAT",
    "sex": "F",
    "identification_expiration_date": "2020-01-25",
    "employer": "PABANA",
    "position_in_company": "Gerente",
    "work_start_date": "2019-05-15",
    "personal_reference": "Persona estudiosa",
    "telephone_number": 88888888,
    "work_address": "De la esquina a la derecha",
    "country_of_birth": "PAN",
    "nationality": "PAN",
    "work_geographic_location": "0001-0106-0001",
    "title": "AY47",
    "marital_status": "1",
    "occupation": "0052",
    "economic_activity": "SE2",
    "is_pep": true,
    "second_nationality": "USA"
}
{
    "first_name": "Matheus",
    "middle_name": "Jhosep",
    "last_name": "Cabrera",
    "second_surname": "Rodriguez",
    "identification_type": "1",
    "identification": "99999999999X",
    "mobile_phone_number": 88888888,
    "email": "[email protected]",
    "date_of_birth": "1978-07-31",
    "country_of_residence": "214",
    "home_address_line1": "home_address_line1",
    "home_address_line2": "home_address_line2",
    "home_address_line3": "home_address_line3",
    "geographic_location": "10-1002",
    "person_type": "NAT",
    "sex": "F",
    "identification_expiration_date": "2031-07-31",
    "employer": "N1CO",
    "salary": 100000,
    "work_start_date": "2018-04-16",
    "telephone_number": 99999999,
    "work_phone_number": 99999999,
    "country_of_birth": "214",
    "nationality": "214",
    "title": "LIC",
    "marital_status": "1",
    "occupation": "ACIV",
    "economic_activity": "COME",
    "is_pep": false
}
{
    "person_type": "NAT",
    "first_name": "Carlos",
    "middle_name": "Juan",
    "last_name": "Lopez",
    "second_surname": "Moran",
    "sex": "M",
    "marital_status": "2",
    "nationality": "DO",
    "is_fatca": false,
    "residence_street": "Marginal Avenida Las Américas",
    "residence_building": "Edif. Cumbre 8, NACO",
    "residence_apartment_number": "29, Apto. 10 Oeste",
    "geographic_location": "0100-0101-01",
    "work_geographic_location": "0100-0101-01",
    "email": "[email protected]",
    "identification": "4013001950848",
    "identification_type": "CIP",
    "identification_country": "DO",
    "identification_expiration_date": "2030-09-06T04:25:21.928Z",
    "second_identification_number": "2013001950848",
    "second_identification_type_code": "9999",
    "second_identification_country_code": "NIC",
    "second_identification_expiration_date": "2030-09-06T04:25:21.928Z",
    "date_of_birth": "1971-04-18T22:16:33.387Z",
    "country_of_birth": "DO",
    "telephone_number": 8098888888,
    "work_phone_number": 809888888800001,
    "mobile_phone_number": 8093402152,
    "country_of_residence": "DO",
    "economic_activity": "2836",
    "occupation": "511",
    "employer": "ELECTROVAL, SRL",
    "work_address": "AVE. TIRADENTES N14, EDIF. EMPRESARIAL",
    "position_in_company": "Ingeniero",
    "salary": 32000.33,
    "monthly_expenses": 1000.33,
    "educational_level": "0300",
    "title": "004",
    "is_pep": false,
    "income_source_code": "1",
    "handles_public_resources": false,
    "company_economic_activity_code": "2836",
    "employer_number": 514,
    "reference": {
        "full_name": "Carlos Eduardo López",
        "phone": 8876735921
    },
    "spouse": {
        "identification_number": "12345678",
        "identification_type_code": "9999",
        "identification_country_code": "NI",
        "full_name": "Glenda Mairena",
        "monthly_income": 32000.77
    }
}
{
    "person_type": "NAT",
    "first_name": "Carlos",
    "last_name": "Lopez",
    "sex": "M",
    "marital_status": "2",
    "nationality": "DO",
    "is_fatca": false,
    "residence_street": "Marginal Avenida Las Américas",
    "residence_building": "Edif. Cumbre 8, NACO",
    "residence_apartment_number": "29, Apto. 10 Oeste",
    "geographic_location": "0100-0101-01",
    "email": "[email protected]",
    "identification": "4013001950848",
    "identification_type": "CIP",
    "identification_expiration_date": "2030-09-06T04:25:21.928Z",
    "date_of_birth": "1971-04-18T22:16:33.387Z",
    "country_of_birth": "DO",
    "mobile_phone_number": 8098888888,
    "country_of_residence": "DO",
    "economic_activity": "2836",
    "employer": "ELECTROVAL, SRL",
    "work_address": "AVE. TIRADENTES N14, EDIF. EMPRESARIAL",
    "salary": 32000.33,
    "title": "004",
    "is_pep": false
}

JSON response body fields:

Name

Description

Type

customer_id

Customer ID number.

string

email

Customer mail.

string

branch_id

Customer's branch identifier.

string

mobile_phone_number

Customer mobile number.

string

telephone_number

Contact number of the personal reference submitted by the customer.

string

customer_number

Customer number.

string

bank_id

Defines the bank code.
Allowed options are indicated:
1. BLNI
2. BLPA
3. BLHN
4. BLRD
5. BLCR

string

date_of_birth

Customer's date of birth.

date

legal_name

Customer's legal name.

string

existing_customer

Indicates if the customer exists.

boolean

Path Params
string
enum
required
Defaults to BLNI

Description: Defines the source bank code.

Allowed:
Body Params
string
required
Defaults to Marcus

Description: First Name.
Size: 15.

string
Defaults to Aurelius

Description: Middle Name.
Size: 15.
Required to: BLCR

string
required
Defaults to Decimosepto

Description: Last Name.
Size: 15.

string
Defaults to Espinoza

Description: Second Surname.
Size: 15.
Required to: BLCR

string
required
Defaults to 2

Description: Identification Type Code.
Size: 5.
Catalog: Document types.

string
required
Defaults to 0010101800010Z

Description: Customer ID number.
Size: 16.

date
required
Defaults to 2028-01-01

Description: Customer ID expiration date.

string
required
Defaults to 88888888

Description: Customer mobile number.
Size: 11.

string
required
Defaults to [email protected]

Description: Customer mail.
Size: 100.

date
required
Defaults to 2000-01-01

Description: Customer's date of birth.

string
required
Defaults to COS

Description: Customer's country of residence code.
Size: 3.
Catalog: Countries.

string
required
Defaults to COS

Description: Customer's country of birth.
Size: 3.
Catalog: Countries.

string
required
Defaults to COS

Description: Customer's nationality.
Size: 3.
Catalog: Countries.

string
Defaults to COS

Description: Customer's second nationality.
Size: 3.
Catalog: Countries.

string
Defaults to Ciudad Neily, Barrio San Juan

Description: First part of the customer's address.
Size: 35.
Required to: BLNI, BLCR, BLPA, BLHN.

string
Defaults to Diagonal a Caja de Ande

Description: Second part of the customer's address.
Size: 35.

string
Defaults to Casa color beige

Description: Third part of the customer's address.
Size: 35.

string
required
Defaults to PPT-158-074-429

Description: Customer's geographic location code.
Size: 15.
Catalog: Geographic locations.

string
enum
required
Defaults to NAT

Description: Type of customer.
Size: 3.

Allowed:
string
enum
required
Defaults to M

Description: Customer's gender.
Size: 1.

Allowed:
string
required
Defaults to ANS

Description: Customer's profession code.
Size: 5.
Catalog: Title.

string
Defaults to Empresa Internacional Sociedad Anonima

Description: Customer's employer (if applicable).
Size: 30.
Required to: BLRD.

string
Defaults to Analista de sistemas

Description: Position held by the customer in the company where (if applicable).
Size: 30.

double
required
Defaults to 1000

Description: Customer's salary in the company where he/she works (if applicable) or customer's monthly income.

date
Defaults to 2022-06-14

Description: Date you started working at the company (if applicable).

string

Description: External personal reference submitted by the client. Required only if the client's nationality is foreign to the country of creation request.
Size: 60.

string
Defaults to 22222222

Description: Contact number of the personal reference submitted by the customer (if applicable).
Size: 11.

string
Defaults to Corredores, Puntarenas

Description: Address of customer's business location (if applicable).
Size: 30.
Required to: BLRD.

string
Defaults to PPT-158-074-429

Description: Geographic Job Location Code (if applicable).
Size: 15.
Catalog: Geographic locations.

string
Defaults to 22222222

Description: Contact telephone number of the company company where the customer works (if applicable).
Size: 11.

string
required
Defaults to 1

Description: Customer marital status code.
Size: 4.
Catalog: Marital status.

string
Defaults to ANS

Description: Customer occupancy code.
Size: 4.
Catalog: Occupation.
Required to: BLCR

string
required
Defaults to Q25

Description: Customer's economic activity code.
Size: 4.
Catalog: Economic activity.

boolean
Defaults to false

Description: Indicates if the customer is a publicly exposed person.

boolean
Defaults to false

Description: Indicates if the customer is a notoriously public person.

boolean
Defaults to true

Description: Customer's authorization to access and use their information in the Know Your Customer Information Center (CICAC).
Required to: BLCR

string
Defaults to 3

Description: In case the customer does not accept the (CICAC) you must enter a value from the catalog..
Size: 4.
Catalog: CICAC Rejection.
Required to: BLCR

string
Defaults to Alguna razón

Description: This field is required when the customer indicates the reason "other" for the CICAC rejection. It is a free text.
Size: 100.
Required to: BLCR

string
Defaults to 1

Description: Funds origin code..
Size: 4.
Catalog: Funds origin.
Required to: BLCR

boolean
Defaults to false

Description: Indicates if applicable to the Foreign Account Tax Compliance Act (FATCA).
Required to: BLRD.

string
Defaults to Marginal Avenida Las Américas

Description: Residence street.
Required to: BLRD.

string
Defaults to Edif. Cumbre 8, NACO

Description: Residence building.
Required to: BLRD.

string
Defaults to 29, Apto. 10 Oeste

Description: Residence apartment number.
Required to: BLRD.

string
Defaults to DO

Description: Identification country code.
Size: 3.
Catalog: Countries.
Applies to: BLRD.

string
Defaults to 0010101800010Z

Description: Second identification number.
Size: 16.
Applies to: BLRD.

string
Defaults to CIP

Description: Second identification type code.
Size: 5.
Catalog: Document types.
Applies to: BLRD.

string
Defaults to DO

Description: Second identification country code.
Size: 3.
Catalog: Countries.
Applies to: BLRD.

date
Defaults to 2028-01-01

Description: Second ID expiration date.
Applies to: BLRD.

double
Defaults to 35000

Description: Monthly expenses.
Applies to: BLRD.

string
Defaults to 0300

Description: Educational level.
Applies to: BLRD.

string
Defaults to 1

Description: Income source code.
Applies to: BLRD.

boolean
Defaults to false

Description: Handles public resources.
Applies to: BLRD.

reference
object

Description: Reference information.
Applies to: BLRD.

spouse
object

Description: Spouse data.
Applies to: BLRD.

string
Defaults to 2836

Description: Company's economic activity code.
Size: 4.
Catalog: Economic activity.
Applies to: BLRD.

int32
Defaults to 0

Description: Employer Number.
Applies to: BLRD.

string
Defaults to PRV

Description: Customer's industry code.
Size: 3.
Catalog: Industry.
Applies to: BLNI.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json